Index: doc/src/sgml/ref/copy.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/copy.sgml,v
retrieving revision 1.34
diff -c -r1.34 copy.sgml
*** doc/src/sgml/ref/copy.sgml	30 Jul 2002 16:55:05 -0000	1.34
--- doc/src/sgml/ref/copy.sgml	1 Aug 2002 21:30:14 -0000
***************
*** 59,65 ****
       </varlistentry>
       
  		 <varlistentry>
!       <term><replaceable class="parameter">column list</replaceable></term>
        <listitem>
         <para>
  	An optional list of columns to be copied.  If no column list is
--- 59,65 ----
       </varlistentry>
       
  		 <varlistentry>
!       <term><replaceable class="parameter">column</replaceable></term>
        <listitem>
         <para>
  	An optional list of columns to be copied.  If no column list is
***************
*** 101,107 ****
         <para>
  	Changes the behavior of field formatting, forcing all data to be
  	stored or read in binary format rather than as text. You can not
! 	specify DELIMITER or NULL in binary mode.
         </para>
        </listitem>
       </varlistentry>
--- 101,108 ----
         <para>
  	Changes the behavior of field formatting, forcing all data to be
  	stored or read in binary format rather than as text. You can not
! 	specify <option>DELIMITER</option>, <option>NULL</option>, or
! 	a column list in binary mode.
         </para>
        </listitem>
       </varlistentry>
***************
*** 119,125 ****
        <term><replaceable class="parameter">delimiter</replaceable></term>
        <listitem>
         <para>
! 	The character that separates fields within each row (line) of the file.
         </para>
        </listitem>
       </varlistentry>
--- 120,126 ----
        <term><replaceable class="parameter">delimiter</replaceable></term>
        <listitem>
         <para>
! 	The single character that separates fields within each row (line) of the file.
         </para>
        </listitem>
       </varlistentry>
***************
*** 191,199 ****
    <para>
     <command>COPY</command> moves data between
     <productname>PostgreSQL</productname> tables and standard file-system
!    files.
! 
!    <command>COPY TO</command> copies the entire contents of a table
     <emphasis>to</> a file, while <command>COPY FROM</command> copies
     data <emphasis>from</> a file to a table (appending the data to
     whatever is in the table already).
--- 192,198 ----
    <para>
     <command>COPY</command> moves data between
     <productname>PostgreSQL</productname> tables and standard file-system
!    files. <command>COPY TO</command> copies the contents of a table
     <emphasis>to</> a file, while <command>COPY FROM</command> copies
     data <emphasis>from</> a file to a table (appending the data to
     whatever is in the table already).
***************
*** 202,210 ****
    <para>
     If a list of columns is specified, <command>COPY</command> will
     only copy the data in the specified columns to or from the table.
!    If there are any columns in the table that are not in the table,
     <command>COPY FROM</command> will insert the default value for
!    that column.
    </para>
  
    <para>
--- 201,209 ----
    <para>
     If a list of columns is specified, <command>COPY</command> will
     only copy the data in the specified columns to or from the table.
!    If there are any columns in the table that are not in the column list,
     <command>COPY FROM</command> will insert the default value for
!    those columns.
    </para>
  
    <para>
***************
*** 251,258 ****
      <para>
      By default, a text copy uses a tab ("\t") character as a delimiter
      between fields. The field delimiter may be changed to any other
!     single character with the keyword DELIMITER. Characters in data
!     fields that happen to match the delimiter character will be
      backslash quoted.
     </para>
     
--- 250,257 ----
      <para>
      By default, a text copy uses a tab ("\t") character as a delimiter
      between fields. The field delimiter may be changed to any other
!     single character with the keyword <option>DELIMITER</option>. Characters
! 	in data fields that happen to match the delimiter character will be
      backslash quoted.
     </para>
     
***************
*** 640,654 ****
     Usage
    </title>
    <para>
! The following example copies a table to standard output,
!  using a vertical bar (|) as the field
!  delimiter:
    </para>
    <programlisting>
  COPY country TO <filename>stdout</filename> WITH DELIMITER '|';
    </programlisting>
    <para>
!    To copy data from a Unix file into a table country:
    </para>
    <programlisting>
  COPY country FROM '/usr1/proj/bray/sql/country_data';
--- 639,652 ----
     Usage
    </title>
    <para>
!    The following example copies a table to standard output,
!    using a vertical bar (|) as the field delimiter:
    </para>
    <programlisting>
  COPY country TO <filename>stdout</filename> WITH DELIMITER '|';
    </programlisting>
    <para>
!    To copy data from a Unix file into the <literal>country</> table:
    </para>
    <programlisting>
  COPY country FROM '/usr1/proj/bray/sql/country_data';
Index: doc/src/sgml/ref/set.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/set.sgml,v
retrieving revision 1.62
diff -c -r1.62 set.sgml
*** doc/src/sgml/ref/set.sgml	11 Jun 2002 15:41:30 -0000	1.62
--- doc/src/sgml/ref/set.sgml	1 Aug 2002 21:30:14 -0000
***************
*** 404,410 ****
      </varlistentry>
       
      <varlistentry>
!      <term><computeroutput>ERROR:  not a valid option name: <replaceable>name</replaceable></computeroutput></term>
       <listitem>
        <para>
         The parameter you tried to set does not exist.
--- 404,411 ----
      </varlistentry>
       
      <varlistentry>
!      <term><computeroutput>ERROR:  '<replaceable>name</replaceable> is not a
! 	 valid option name</computeroutput></term>
       <listitem>
        <para>
         The parameter you tried to set does not exist.
***************
*** 413,419 ****
      </varlistentry>
       
      <varlistentry>
!      <term><computeroutput>ERROR:  permission denied</computeroutput></term>
       <listitem>
        <para>
         You must be a superuser to alter certain settings.
--- 414,421 ----
      </varlistentry>
       
      <varlistentry>
!      <term><computeroutput>ERROR:  '<replaceable>name</replaceable>':
! 	 permission denied</computeroutput></term>
       <listitem>
        <para>
         You must be a superuser to alter certain settings.
***************
*** 422,428 ****
      </varlistentry>
       
      <varlistentry>
!      <term><computeroutput>ERROR:  <replaceable>name</replaceable> can only be set at start-up</computeroutput></term>
       <listitem>
        <para>
         Some parameters are fixed once the server is started.
--- 424,431 ----
      </varlistentry>
       
      <varlistentry>
!      <term><computeroutput>ERROR:  '<replaceable>name</replaceable>' cannot
! 	 be changed after server start</computeroutput></term>
       <listitem>
        <para>
         Some parameters are fixed once the server is started.
Index: doc/src/sgml/ref/show.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/show.sgml,v
retrieving revision 1.17
diff -c -r1.17 show.sgml
*** doc/src/sgml/ref/show.sgml	17 May 2002 01:19:16 -0000	1.17
--- doc/src/sgml/ref/show.sgml	1 Aug 2002 21:30:14 -0000
***************
*** 54,60 ****
    <para>
     <command>SHOW</command> will display the current setting of a
     run-time parameter. These variables can be set using the
!    <command>SET</command> statement or are determined at session start.
    </para>
   </refsect1>
  
--- 54,64 ----
    <para>
     <command>SHOW</command> will display the current setting of a
     run-time parameter. These variables can be set using the
!    <command>SET</command> statement, by editing the
!    <filename>postgresql.conf</filename>, through the
!    <envar>PGOPTIONS</envar> environmental variable, or through a
!    command-line flag when starting the
!    <application>postmaster</application>.
    </para>
   </refsect1>
  
***************
*** 64,73 ****
     <para>
      <variablelist>
       <varlistentry>
!       <term><computeroutput>ERROR:  not a valid option name: <replaceable>name</replaceable></computeroutput></term>
        <listitem>
         <para>
! 	Message returned if <replaceable>variable</replaceable> does
  	not stand for an existing parameter.
         </para>
        </listitem>
--- 68,78 ----
     <para>
      <variablelist>
       <varlistentry>
!       <term><computeroutput>ERROR: Option '<replaceable>name</replaceable>'
! 	  is not recognized</computeroutput></term>
        <listitem>
         <para>
! 	Message returned if <replaceable>name</replaceable> does
  	not stand for an existing parameter.
         </para>
        </listitem>
***************
*** 80,98 ****
    <title>Examples</title>
    <para>
     Show the current <literal>DateStyle</literal> setting:
! 
! <screen>
  SHOW DateStyle;
! INFO:  DateStyle is ISO with US (NonEuropean) conventions
! </screen>
    </para>
  
    <para>
     Show the current genetic optimizer (<literal>geqo</literal>) setting:
! <screen>
  SHOW GEQO;
! INFO:  geqo is on
! </screen>
    </para>
   </refsect1>
  
--- 85,106 ----
    <title>Examples</title>
    <para>
     Show the current <literal>DateStyle</literal> setting:
! <programlisting>
  SHOW DateStyle;
!                DateStyle               
! ---------------------------------------
!  ISO with US (NonEuropean) conventions
! </programlisting>
    </para>
  
    <para>
     Show the current genetic optimizer (<literal>geqo</literal>) setting:
! <programlisting>
  SHOW GEQO;
!  geqo 
! ------
!  on
! </programlisting>
    </para>
   </refsect1>
  
Index: src/backend/postmaster/pgstat.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/postmaster/pgstat.c,v
retrieving revision 1.22
diff -c -r1.22 pgstat.c
*** src/backend/postmaster/pgstat.c	20 Jul 2002 05:16:58 -0000	1.22
--- src/backend/postmaster/pgstat.c	1 Aug 2002 21:30:14 -0000
***************
*** 382,391 ****
  	if (pgStatSock < 0)
  		return;
  
  	msg.m_hdr.m_type = PGSTAT_MTYPE_BETERM;
- 	msg.m_hdr.m_backendid = 0;
  	msg.m_hdr.m_procpid = pid;
- 	msg.m_hdr.m_databaseid = 0;
  
  	pgstat_send(&msg, sizeof(msg));
  }
--- 382,390 ----
  	if (pgStatSock < 0)
  		return;
  
+ 	MemSet(&(msg.m_hdr), 0, sizeof(msg.m_hdr));
  	msg.m_hdr.m_type = PGSTAT_MTYPE_BETERM;
  	msg.m_hdr.m_procpid = pid;
  
  	pgstat_send(&msg, sizeof(msg));
  }
